<?php


add_action ('admin_init', 'asp_sermon_metaboxs');

function asp_admin_scripts() {
    wp_enqueue_script('media-upload');
    wp_enqueue_script('thickbox');
}

function asp_admin_styles() {
    wp_enqueue_style('thickbox');
}
add_action('admin_print_scripts', 'asp_admin_scripts');
add_action('admin_print_styles', 'asp_admin_styles');

function asp_sermon_metaboxs() {
    $sermon_label = get_option( 'asp_general_sermon_label' );
    if (!empty($sermon_label)) {
        $sermon_label = $sermon_label;
        $sermon_label_slug = strtolower("$sermon_label");
    } else {
        $sermon_label = 'Sermon';
        $sermon_label_slug = strtolower("Sermon");
    }
    add_meta_box("asp_sermon_details", "$sermon_label Details", "asp_sermon_details_metabox_fields", "sermons", "normal", "high");
}

function asp_sermon_details_metabox_fields() {
    global $post;

    // Use nonce for verification
    wp_nonce_field( 'wpp_meta_box_nonce', 'meta_box_nonce' );
    $soundcloud = get_post_meta($post->ID, 'asp_sermon_soundcloud', true);
    $sermonmp4 = get_post_meta($post->ID, 'asp_sermon_mp4', true);
    $sermonpdf = get_post_meta($post->ID, 'asp_sermon_pdf', true);
    $sermonyoutube = get_post_meta($post->ID, 'asp_sermon_youtube', true);
    $sermonvimeo = get_post_meta($post->ID, 'asp_sermon_vimeo', true);
    $sermonvideoembed = get_post_meta($post->ID, 'asp_sermon_video_embed', true);

    $sermon_label = get_option( 'asp_general_sermon_label' );
    if (!empty($sermon_label)) {
        $sermon_label = $sermon_label;
        $sermon_label_slug = strtolower("$sermon_label");
    } else {
        $sermon_label = 'Sermon';
        $sermon_label_slug = strtolower("Sermon");
    }

    ?>
    <table class="form-table">
          <tbody>

            <tr>
            <p class="asp-sermon-date-alert"><?php _e( "Reminder: Set $sermon_label_slug date by editing the published date", "advanced-sermons" ) ?></p>
            </tr>

            <?php do_action( 'asp_hook_sermon_details_metabox_top' ); ?>

            <tr>
            <th><?php _e( 'Youtube Video', 'advanced-sermons' ) ?>:</th>
            <td><input type="text" name="sermon_youtube" id="sermon_youtube" value="<?php echo $sermonyoutube; ?>" />
            <p>
            <?php _e( "Paste a Youtube video link for this $sermon_label_slug." ) ?>
            </p>
            </td>
            </tr>

            <tr>
            <th><?php _e( 'Vimeo Video', 'advanced-sermons' ) ?>:</th>
            <td><input type="text" name="sermon_vimeo" id="sermon_vimeo" value="<?php echo $sermonvimeo; ?>" />
            <p>
            <?php _e( "Paste a Vimeo video link for this $sermon_label_slug." ) ?>
            </p>
            </td>
            </tr>

            <tr>
            <th><?php _e( 'Audio', 'advanced-sermons' ) ?>:</th>
            <td><input type="text" name="sermon_mp4" id="sermon_mp4" value="<?php echo $sermonmp4; ?>" />
              <input type="button" name="sermon_mp4_button" id="sermon_mp4_button" value="<?php _e( 'Add Sermon Audio' ) ?>" />
            <p>
            <?php _e( "Add or paste an audio link for this $sermon_label_slug. Supported formats: .mp3 and .mp4." ) ?>
            </p>
            </td>
            </tr>

            <tr>
            <th><?php _e( 'Soundcloud URL', 'advanced-sermons' ) ?>:</th>
            <td><input type="text" name="sermon_soundcloud" id="sermon_soundcloud" value="<?php echo $soundcloud; ?>" />
            <p>
            <?php _e( "Paste a Soundcloud audio link for this $sermon_label_slug." ) ?>
            </p>
            </td>
            </tr>

            <tr>
            <th><?php _e( "$sermon_label PDF", "advanced-sermons" ) ?>:</th>
            <td><input type="text" name="sermon_pdf" id="sermon_pdf" value="<?php echo $sermonpdf; ?>" />
                <input type="button" name="sermon_pdf_button" id="sermon_pdf_button" value="<?php _e( 'Add File' ) ?>" />
            <p>
            <?php _e( "Add or paste a PDF link for this $sermon_label_slug." ) ?>
            </p>
            </td>
            </tr>

            <?php do_action( 'asp_hook_sermon_details_metabox_bottom' ); ?>


        </table>
        <script type = "text/javascript">
                // Uploading files
                var file_frame;
            jQuery('#sermon_mp4_button').live('click', function(audio) {
                audio.preventDefault();
                // If the media frame already exists, reopen it.
                // if (file_frame) {
                //    file_frame.open();
                //    return;
                // }
                // Create the media frame.
                file_frame = wp.media.frames.file_frame = wp.media({
                    title: jQuery(this).data('uploader_title'),
                    button: {
                        text: jQuery(this).data('uploader_button_text'),
                    },
                    multiple: false // Set to true to allow multiple files to be selected
                });
                // When a file is selected, run a callback.
                file_frame.on('select', function(){
                    // We set multiple to false so only get one image from the uploader
                    attachment = file_frame.state().get('selection').first().toJSON();
                    var url = attachment.url;
                    var field = document.getElementById("sermon_mp4");
                    field.value = url; //set which variable you want the field to have
                });
                // Finally, open the modal
                file_frame.open();
            });

            // Uploading files
            var file_frame;
        jQuery('#sermon_pdf_button').live('click', function(pdf) {
            pdf.preventDefault();
            // If the media frame already exists, reopen it.
            // if (file_frame) {
            //    file_frame.open();
            //    return;
            // }
            // Create the media frame.
            file_frame = wp.media.frames.file_frame = wp.media({
                title: jQuery(this).data('uploader_title'),
                button: {
                    text: jQuery(this).data('uploader_button_text'),
                },
                multiple: false // Set to true to allow multiple files to be selected
            });
            // When a file is selected, run a callback.
            file_frame.on('select', function(){
                // We set multiple to false so only get one image from the uploader
                attachment = file_frame.state().get('selection').first().toJSON();
                var url = attachment.url;
                var field = document.getElementById("sermon_pdf");
                field.value = url; //set which variable you want the field to have
            });
            // Finally, open the modal
            file_frame.open();
        });
        </script>
        <?php
        wp_nonce_field ( 'c_nonce_field', 'c_wpnonce');
}


/* Do something with the data entered */
add_action('save_post', 'asp_save_sermon_details');

function asp_save_sermon_details($post_id) {
    if(defined("DOING_AJAX") AND DOING_AJAX)
        return;
        if(!current_user_can('edit_post', $post_id ))
        return;
        if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'wpp_meta_box_nonce' ) ) return;
        $allowed_html = array(
                'a' => array(
                    'href' => array()
                ));
        update_post_meta ($post_id, 'asp_sermon_soundcloud', wp_kses( $_POST['sermon_soundcloud'], $allowed_html));
        update_post_meta ($post_id, 'asp_sermon_mp4', wp_kses( $_POST['sermon_mp4'], $allowed_html));
        update_post_meta ($post_id, 'asp_sermon_pdf', wp_kses( $_POST['sermon_pdf'], $allowed_html));
        update_post_meta ($post_id, 'asp_sermon_youtube', wp_kses( $_POST['sermon_youtube'], $allowed_html));
        update_post_meta ($post_id, 'asp_sermon_vimeo', wp_kses( $_POST['sermon_vimeo'], $allowed_html));
        update_post_meta ($post_id, 'asp_sermon_video_embed', wp_kses( $_POST['sermon_video_embed'], $allowed_html));

        do_action( 'asp_hook_sermon_details_metabox_save' );
}
