<?php


// Design page content

add_action( 'asp_settings_content', 'asp_render_archive_page' );
function asp_render_archive_page() {
global $asp_active_tab;
    if ( 'archive' != $asp_active_tab )
    return;

    $asp_archive_slug = get_option( 'asp_general_archive_slug' );
    if (!empty($asp_archive_slug)) {
        $asp_archive_slug = $asp_archive_slug;
        $asp_archive_slug = strtolower("$asp_archive_slug");
    } else {
        $asp_archive_slug = 'sermons';
    }
?>

    <h3><?php _e( 'Archive Settings', 'advanced-sermons' ); ?></h3>
    <p class="asp-settings-desc">Archive settings allows you to customize the archive page of Advanced Sermons.</p>
    <div class="asp-active-archive-url">
    <p class="asp-active-title">Archive page URL: <a href="<?php echo get_home_url(); ?>/<?php echo $asp_archive_slug ?>/" target="_blank">/<?php echo $asp_archive_slug ?>/</a></p>
    </div>

    <form action="options.php" method="post">

        <?php
            settings_fields('asp-archive-settings');
            do_settings_sections( 'asp-archive-settings' );
            $speaker_label = get_option( 'asp_general_speaker_label' );
            $topic_label = get_option( 'asp_general_topic_label' );
            if (!empty($speaker_label)) {
            		$speaker_label = $speaker_label;
            		$speaker_label_lowercase = strtolower($speaker_label);
            } else {
            		$speaker_label = 'Speaker';
            		$speaker_label_lowercase = strtolower("Speaker");
            }
            if (!empty($topic_label)) {
            		$topic_label = $topic_label;
            		$topic_label_lowercase = strtolower("$topic_label");
            } else {
            		$topic_label = 'Topic';
            		$topic_label_lowercase = strtolower("Topic");
            }
        ?>

            <!-- Design option section -->

            <div class="asp-inner-wrapper">

            <div class="asp-form-message"><?php settings_errors('asp-notices'); ?></div>

            <table class="form-table">
            <tbody>

                <tr class="asp-title-holder">
                <td>
                <h2 class="asp-inner-title"><?php _e( 'Customization', 'advanced-sermons' ); ?></h2>
                </td>
                </tr>

                    <tr class="asp-pro-version">
                    <th><?php _e( 'Per Page Count', 'advanced-sermons' ); ?></th>
                    <td><input class="input-short" type="text" placeholder="" name="asp_archive_sermon_count" value="<?php echo esc_attr( get_option('asp_archive_sermon_count') ?: '9' ); ?>" size="5" />
                    <p>
                    The number of sermons you would like to display before pagination is enabled. Default '9'.
                    </p>
                    </td>
                    </tr>

                    <tr class="asp-pro-version">
                    <th><?php _e( 'Excerpt Length', 'advanced-sermons' ); ?></th>
                    <td><input class="input-short" type="text" placeholder="" name="asp_archive_excerpt_length" value="<?php echo esc_attr( get_option('asp_archive_excerpt_length') ?: '15' ); ?>" size="5" />
                    <p>
                    Enter the number of words to be displayed per sermon in archive and shortcode list. Default '15'.
                    </p>
                    </td>
                    </tr>

                    <tr>
                    <th><?php _e( 'Read More', 'advanced-sermons' ); ?></th>
                    <td>
                    <label class="asp-switch"><input type="checkbox" name="asp_archive_read_more" value="none"<?php checked( 'none', get_option( 'asp_archive_read_more' ) ); ?> /><span class="asp-slider round"></span></label>Disable
                    <p>Do not show read more at the end of the short description. Default unchecked.</p>
                    </td>
                    </tr>

                <tr class="asp-title-holder">
                <td>
                <h2 class="asp-inner-title"><?php _e( 'Filter Bar', 'advanced-sermons' ); ?></h2>
                </td>
                </tr>

                    <tr>
                    <th><?php _e( 'Filter Bar', 'advanced-sermons' ); ?></th>
                    <td>
                    <label class="asp-switch"><input type="checkbox" name="asp_archive_hide_filtering" value="asp_archive_hide_filtering"<?php checked( 'asp_archive_hide_filtering', get_option( 'asp_archive_hide_filtering' ) ); ?> /><span class="asp-slider round"></span></label>Hide
                    <p>Master switch to remove the filter bar on the archive page. Default unchecked.</p>
                    </td>
                    </tr>

                    <tr>
                    <th><?php _e( 'Criteria Box', 'advanced-sermons' ); ?><p>
                    Box that shows filter criteria above the filter bar
                    </p></th>
                    <td>
                    <label class="asp-switch"><input type="checkbox" name="asp_archive_hide_criteria_box" value="asp_archive_hide_criteria_box"<?php checked( 'asp_archive_hide_criteria_box', get_option( 'asp_archive_hide_criteria_box' ) ); ?> /><span class="asp-slider round"></span></label>Hide
                    <p>Master switch to remove the criteria box on the archive page. Default unchecked.</p>
                    </td>
                    </tr>

                    <tr class="asp-pro-version">
                    <th><?php _e( 'Orberby', 'advanced-sermons' ); ?></th>
                    <td>
                    <label class="asp-switch"><input type="checkbox" name="asp_archive_hide_filter_orderby" value="asp_archive_hide_filter_orderby"<?php checked( 'asp_archive_hide_filter_orderby', get_option( 'asp_archive_hide_filter_orderby' ) ); ?> /><span class="asp-slider round"></span></label>Remove
                    <p>Remove the orderby filter dropdown from the filter bar.</p>
                    </td>
                    </tr>

                    <tr class="asp-pro-version">
                    <th><?php _e( 'Orber', 'advanced-sermons' ); ?></th>
                    <td>
                    <label class="asp-switch"><input type="checkbox" name="asp_archive_hide_filter_order" value="asp_archive_hide_filter_order"<?php checked( 'asp_archive_hide_filter_order', get_option( 'asp_archive_hide_filter_order' ) ); ?> /><span class="asp-slider round"></span></label>Remove
                    <p>Remove the order filter dropdown from the filter bar.</p>
                    </td>
                    </tr>

                    <tr class="asp-pro-version">
                    <th><?php echo "{$speaker_label}s" ?></th>
                    <td>
                    <label class="asp-switch"><input type="checkbox" name="asp_archive_hide_filter_speaker" value="asp_archive_hide_filter_speaker"<?php checked( 'asp_archive_hide_filter_speaker', get_option( 'asp_archive_hide_filter_speaker' ) ); ?> /><span class="asp-slider round"></span></label>Remove
                    <p>Remove the <?php echo "{$speaker_label_lowercase}" ?> filter dropdown from the filter bar.</p>
                    </td>
                    </tr>

                    <tr class="asp-pro-version">
                    <th><?php echo "{$topic_label}s" ?></th>
                    <td>
                    <label class="asp-switch"><input type="checkbox" name="asp_archive_hide_filter_topic" value="asp_archive_hide_filter_topic"<?php checked( 'asp_archive_hide_filter_topic', get_option( 'asp_archive_hide_filter_topic' ) ); ?> /><span class="asp-slider round"></span></label>Remove
                    <p>Remove the <?php echo "{$topic_label_lowercase}" ?> filter dropdown from the filter bar.</p>
                    </td>
                    </tr>

                    <tr class="asp-pro-version">
                    <th><?php _e( 'Series', 'advanced-sermons' ); ?></th>
                    <td>
                    <label class="asp-switch"><input type="checkbox" name="asp_archive_hide_filter_series" value="asp_archive_hide_filter_series"<?php checked( 'asp_archive_hide_filter_series', get_option( 'asp_archive_hide_filter_series' ) ); ?> /><span class="asp-slider round"></span></label>Remove
                    <p>Remove the series filter dropdown from the filter bar.</p>
                    </td>
                    </tr>


        			<tr class="asp-float-option">
        			<th class="asp-save-section dashboard">
        			<?php submit_button(); ?>
        			</th>
        			</tr>

    			  </tbody>
            </table>
            </div>
      </form>
<?php }
