<?php


// General page content

add_action( 'asp_settings_content', 'asp_render_general_page' );
function asp_render_general_page() {
global $asp_active_tab;
		if ( '' || 'general' != $asp_active_tab )
		return;
?>

		<h3><?php _e( 'General Settings', 'advanced-sermons' ); ?></h3>

		<form action="options.php" method="post">

				<?php
						settings_fields('asp-general-settings');
						do_settings_sections( 'asp-general-settings' );

						$asp_archive_slug = get_option( 'asp_general_archive_slug' );
						if (!empty($asp_archive_slug)) {
								$asp_archive_slug = $asp_archive_slug;
								$asp_archive_slug = strtolower("$asp_archive_slug");
						} else {
								$asp_archive_slug = 'sermons';
						}

				?>

	 					<!-- General option section -->

						<div class="asp-inner-wrapper">
						<p class="asp-settings-desc"><?php _e( 'General settings allows you to customize the Advanced Sermons plugins to match your preferences and branding. If you need assistance you can submit a support ticket' ) ?> <a href="https://wpcodeus.com/support/" target="_blank">here</a></p>
						<div class="asp-active-archive-url">
						<p class="asp-active-title">Archive page URL: <a href="<?php echo get_home_url(); ?>/<?php echo $asp_archive_slug ?>/" target="_blank">/<?php echo $asp_archive_slug ?>/</a></p>
						</div>

						<div class="asp-form-message"><?php settings_errors('asp-notices'); ?></div>

								<!-- <p>The dashboard styling option makes it easy for you to brand the Wordpress dashboard to match your website. You can also white label Wordpress by removing any Wordpress reference.</p> -->
								<table class="form-table">
								<tbody>

								<tr class="asp-title-holder">
								<td>
								<h2 class="asp-inner-title"><?php _e( 'Customization', 'advanced-sermons' ); ?></h2>
								</td>
								</tr>

										<tr>
										<th><?php _e( 'Sermon Date Format', 'advanced-sermons' ); ?></th>
										<td><select name="asp_general_date_format">
												<option value="j F Y" <?php selected(get_option('asp_general_date_format'), "j F Y"); ?>>Day/Month/Year</option>
												<option value="F j Y" <?php selected(get_option('asp_general_date_format'), "F j Y"); ?>>Month/Day/Year</option>
												<option value="F j" <?php selected(get_option('asp_general_date_format'), "F j"); ?>>Month/Day</option>
										</select>
										<p>
				            Customize the preached date format for sermons.
										</p>
										</td>
										</tr>

										<tr class="asp-pro-version">
										<th><?php _e( 'Archive Slug', 'advanced-sermons' ); ?></th>
										<td><input type="text" placeholder="" name="asp_general_archive_slug" value="<?php echo esc_attr( get_option('asp_general_archive_slug') ?: 'sermons' ); ?>" size="50" />
										<p>Changes the slug of the sermon archive page. For example, by default, all sermons would be located under /sermons/, and a single sermon with slug “god” would be under /sermons/god/.<br><b>If you change this, please flush your permalinks <a href="/wp-admin/options-permalink.php" target="_blank">here.</a></b></p>
										</td>
										</tr>

										<tr class="asp-pro-version">
										<th><?php _e( 'Sermon Label', 'advanced-sermons' ); ?><p>Enter capitalized singular label</p></th>
										<td><input type="text" placeholder="" name="asp_general_sermon_label" value="<?php echo esc_attr( get_option('asp_general_sermon_label') ?: 'Sermon' ); ?>" size="50" />
										<p>
										Change the default Sermon label. Example: "Message".
										</p>
										</td>
										</tr>

										<tr class="asp-pro-version">
										<th><?php _e( 'Speaker Label', 'advanced-sermons' ); ?><p>Enter capitalized singular label</p></th>
										<td><input type="text" placeholder="" name="asp_general_speaker_label" value="<?php echo esc_attr( get_option('asp_general_speaker_label') ?: 'Speaker' ); ?>" size="50" />
										<p>
										Change the default Speaker label. Example: "Preacher".
										</p>
										</td>
										</tr>

										<tr class="asp-pro-version">
										<th><?php _e( 'Topic Label', 'advanced-sermons' ); ?><p>Enter capitalized singular label</p></th>
										<td><input type="text" placeholder="" name="asp_general_topic_label" value="<?php echo esc_attr( get_option('asp_general_topic_label') ?: 'Topic' ); ?>" size="50" />
										<p>
										Change the default Topic label. Example: "Passage".
										</p>
										</td>
										</tr>

								<tr class="asp-title-holder">
								<td>
								<h2 class="asp-inner-title"><?php _e( 'Features', 'advanced-sermons' ); ?></h2>
								</td>
								</tr>

										<tr>
										<th><?php _e( 'Remove Toolbar Menu', 'advanced-sermons' ); ?></th>
										<td>
										<label class="asp-switch"><input type="checkbox" name="asp_general_toolbar_menu" value="asp_general_toolbar_menu"<?php checked( 'asp_general_toolbar_menu', get_option( 'asp_general_toolbar_menu' ) ); ?> /><span class="asp-slider round"></span></label>Remove
										<p>
										Remove 'Manage Sermons' quick links from the WordPress top toolbar. Default Enabled.
										</p>
										</td>
										</tr>

										<tr>
										<th><?php _e( 'View Count', 'advanced-sermons' ); ?></th>
										<td>
										<label class="asp-switch"><input type="checkbox" name="asp_general_disable_view_count" value="display-view-count"<?php checked( 'display-view-count', get_option( 'asp_general_disable_view_count' ) ); ?> /><span class="asp-slider round"></span></label>Enable
										<p>
										Track view counts of sermons to get a better understanding of what your congregation is interested in.
										</p>
										</td>
										</tr>

										<tr class="asp-pro-version">
										<th><?php _e( 'Duplicate Sermons', 'advanced-sermons' ); ?></th>
										<td>
										<label class="asp-switch"><input type="checkbox" name="asp_general_sermon_duplicator" value="enable-duplicator"<?php checked( 'enable-duplicator', get_option( 'asp_general_sermon_duplicator' ) ); ?> /><span class="asp-slider round"></span></label>Enable
										<p>
										Duplicate Sermons allows you to duplicate existing sermons to save you time and energy.
										</p>
										</td>
										</tr>

										<tr class="asp-pro-version">
										<th><?php _e( 'Search Results', 'advanced-sermons' ); ?></th>
										<td>
										<label class="asp-switch"><input type="checkbox" name="asp_general_sermon_search" value="enable-search"<?php checked( 'enable-search', get_option( 'asp_general_sermon_search' ) ); ?> /><span class="asp-slider round"></span></label>Include
										<p>
										Switch to show sermons in the default WordPress search results.
										</p>
										</td>
										</tr>

										<tr>
										<th><?php _e( 'Visual Composer', 'advanced-sermons' ); ?></th>
										<td>
										<p>
										To use Visual Composer on sermons you can enabled this feature through the WPBarkery <a href="/wp-admin/admin.php?page=vc-roles" target="_blank" >settings</a> and changing the Post Type for each Role to "custom" and selecting "sermons".
										</p>
										<p>
										Note: If you use this feature please make sure you fill out the Excerpt for each sermon.
										</p>
										</td>
										</tr>


								<tr class="asp-float-option">
								<th class="asp-save-section dashboard">
								<?php submit_button(); ?>
								</th>
								</tr>

								</table>
					 </div>
			</form>
<?php }
