<?php


// Shortcode page content

add_action( 'asp_settings_content', 'asp_render_shortcodes_page' );
function asp_render_shortcodes_page() {
global $asp_active_tab;
    if ( 'shortcodes' != $asp_active_tab )
    return;
?>

    <h3><?php _e( 'Shortcode Settings', 'advanced-sermons' ); ?></h3>
    <p class="asp-settings-desc">Shortcodes allows users to perform certain actions as well as display predefined items within WordPress pages and posts. The Advanced Sermon shortcodes are alternative methods used to display sermons and series on your website.</p>

    <form action="options.php" method="post">

        <?php
            settings_fields('asp-shortcode-settings');
            do_settings_sections( 'asp-shortcode-settings' );
        ?>

            <!-- Shortcode option section -->

            <div class="asp-inner-wrapper">

            <div class="asp-form-message"><?php settings_errors('asp-notices'); ?></div>

            <table class="form-table">
            <tbody>

            <tr class="asp-title-holder">
            <td>
            <h2 class="asp-inner-title"><?php _e( 'Sermons Shortcode', 'advanced-sermons' ); ?></h2>
            </td>
            </tr>

                <tr class="asp-pro-version">
                <th><code id="year">[asp-sermons]</code></th>
                <td class="asp-shortcode-parameters" style="padding-bottom: 20px;">
                <p style="font-size: 17px!important;"><strong>Example Shortcode</strong></p>
                <p style="margin-top: -11px; margin-bottom: 10px;"><code>[asp-sermons order="DESC" post="3" speaker="john-smith"]</code></p>
                <p style="font-size: 17px!important;"><strong>Parameters</strong></p>
                <ul>
                    <li><code style="margin-top: 0px!important;">[asp-sermons order="DESC"]</code>
                        <p>'DESC' - Ascending order from newest to oldest.</p>
                        <p>'ASC' - Ascending order from oldest to newest.</p>
                    </li>
                    <li><code>[asp-sermons orderby="date"]</code>
                        <p>'date' - Order by date.</p>
                        <p>'title' - Order by title.</p>
                        <p>'rand' - Random Order.</p>
                        <p>'modified' - Order by last modified date.</p>
                    </li>
                    <li><code>[asp-sermons post="3"]</code>
                        <p>'int' - Number of sermons to show. Use -1 to show all.</p>
                    </li>
                    <li><code>[asp-sermons series="the-journey"]</code>
                        <p>'series-slug' - Enter series slug to display only that series. Seperate with comma to display multiple series.<br>I.e: the-journey,stronger</p>
                    </li>
                    <li><code>[asp-sermons speaker="john-smith"]</code>
                        <p>'speaker-slug' - Enter series slug to display only that series. Seperate with comma to display multiple series.<br>I.e: john-smith,george-krenz</p>
                    </li>
                </ul>
                </td>
                </tr>

            <tr class="asp-title-holder">
            <td>
            <h2 class="asp-inner-title"><?php _e( 'Series Shortcode', 'advanced-sermons' ); ?></h2>
            </td>
            </tr>

                <tr class="asp-pro-version">
                <th><code id="year">[asp-series]</code></th>
                <td style="padding-bottom: 20px;"><p>Displays the latest series in a grid format.</p>
                </td>
                </tr>


    			  </tbody>
            </table>
            </div>
      </form>
<?php }
