<?php


// Design page content

add_action( 'asp_settings_content', 'asp_render_single_sermon_page' );
function asp_render_single_sermon_page() {
global $asp_active_tab;
    if ( 'single-sermon' != $asp_active_tab )
    return;
?>

    <h3><?php _e( 'Single Sermon Settings', 'advanced-sermons' ); ?></h3>
    <p class="asp-settings-desc">Single sermon settings allows to customize which features and functionalities you would like to use for your website.</p>

    <form action="options.php" method="post">

        <?php
            settings_fields('asp-single-sermon-settings');
            do_settings_sections( 'asp-single-sermon-settings' );
        ?>

            <!-- Design option section -->

            <div class="asp-inner-wrapper">

            <div class="asp-form-message"><?php settings_errors('asp-notices'); ?></div>

            <table class="form-table">
            <tbody>

              <tr class="asp-title-holder">
              <td>
              <h2 class="asp-inner-title"><?php _e( 'Single Sermon', 'advanced-sermons' ); ?></h2>
              </td>
              </tr>

                  <tr>
                  <th><?php _e( 'Content Width', 'advanced-sermons' ); ?></th>
                  <td><select name="asp_single_sermon_content_width">
                  <option value="1200px" <?php selected(get_option('asp_single_sermon_content_width'), "1200px"); ?>>Default Width</option>
                  <option value="1000px" <?php selected(get_option('asp_single_sermon_content_width'), "1000px"); ?>>1000px</option>
                  <option value="1100px" <?php selected(get_option('asp_single_sermon_content_width'), "1100px"); ?>>1100px</option>
                  <option value="1200px" <?php selected(get_option('asp_single_sermon_content_width'), "1200px"); ?>>1200px</option>
                  <option value="1300px" <?php selected(get_option('asp_single_sermon_content_width'), "1300px"); ?>>1300px</option>
                  <option value="1400px" <?php selected(get_option('asp_single_sermon_content_width'), "1400px"); ?>>1400px</option>
                  <option value="auto" <?php selected(get_option('asp_single_sermon_content_width'), "auto"); ?>>Full Width</option>
                  </select>
                  <p>
                  Select the content width to match your active theme. Default 1200px.
                  </p>
                  </td>
                  </tr>

                  <tr>
                  <th><?php _e( 'Archive Button', 'advanced-sermons' ); ?></th>
                  <td>
                  <label class="asp-switch"><input type="checkbox" name="asp_single_sermon_all_sermons_button" value="disable-comments"<?php checked( 'disable-comments', get_option( 'asp_single_sermon_all_sermons_button' ) ); ?> /><span class="asp-slider round"></span></label>Remove
                  <p>
                  Remove the 'All Sermons' button from the single sermons page.
                  </p>
                  </td>
                  </tr>

                  <tr>
                  <th><?php _e( 'Comments', 'advanced-sermons' ); ?></th>
                  <td>
                  <label class="asp-switch"><input type="checkbox" name="asp_single_sermon_disable_comments" value="disable-comments"<?php checked( 'disable-comments', get_option( 'asp_single_sermon_disable_comments' ) ); ?> /><span class="asp-slider round"></span></label>Enable
                  <p>
                  Enable comments on the single sermons page.
                  </p>
                  </td>
                  </tr>

                  <tr class="asp-pro-version">
                  <th><?php _e( 'Social Share', 'advanced-sermons' ); ?></th>
                  <td>
                  <label class="asp-switch"><input type="checkbox" name="asp_single_sermon_disable_social_share" value="asp_single_sermon_disable_social_share"<?php checked( 'asp_single_sermon_disable_social_share', get_option( 'asp_single_sermon_disable_social_share' ) ); ?> /><span class="asp-slider round"></span></label>Enable
                  <p>Enable Social Share section from sermon single page. Default unchecked.</p>
                  </td>
                  </tr>

                  <tr class="asp-pro-version">
                  <th><?php _e( 'Related Sermons', 'advanced-sermons' ); ?></th>
                  <td>
                  <label class="asp-switch"><input type="checkbox" name="asp_single_sermon_related_sermons" value="asp_single_sermon_related_sermons"<?php checked( 'asp_single_sermon_related_sermons', get_option( 'asp_single_sermon_related_sermons' ) ); ?> /><span class="asp-slider round"></span></label>Enable
                  <p>Enable related sermons on single sermon view. Default unchecked.</p>
                  </td>
                  </tr>

                  <tr class="asp-pro-version">
                  <th><?php _e( 'Sermon Sibebar', 'advanced-sermons' ); ?></th>
                  <td>
                  <label class="asp-switch"><input type="checkbox" name="asp_single_sermon_enable_sidebar" value="enable-sidebar"<?php checked( 'enable-sidebar', get_option( 'asp_single_sermon_enable_sidebar' ) ); ?> /><span class="asp-slider round"></span></label>Enable
                  <p>
                  Enable this if you would like to display a sibebar on the sermon single page. (You can customize the 'Sermon Sibebar' under <a href="/wp-admin/widgets.php" target="_blank">Widgets</a>)
                  </p>
                  </td>
                  </tr>

        			<tr class="asp-float-option">
        			<th class="asp-save-section dashboard">
        			<?php submit_button(); ?>
        			</th>
        			</tr>

    			  </tbody>
            </table>
            </div>
      </form>
<?php }
