<?php

/*
Plugin Name: Advanced Sermons
Plugin URI: https://advancedsermons.com/
Description: The most advanced sermon plugin for church website. Add audio and video sermons, manager speakers, series, and more.
Author: WP Codeus
Version: 2.0
Author URI: https://wpcodeus.com/
License: GPL2
Text Domain: advanced-sermons
*/

// If this file is called directly, abort

if ( ! defined( 'ABSPATH' ) ) {
     die ('Silly human what are you doing here');
}


// The core plugin file that is used to define internationalization, hooks and functions

require( plugin_dir_path( __FILE__ ) . '/include/plugin-functions.php');


// Plugin file that manages admin views and functionality

require( plugin_dir_path( __FILE__ ) . '/admin/admin-functions.php');


// Plugin file that manages stylsheets

require( plugin_dir_path( __FILE__ ) . '/styling/styling-functions.php');


// Get Advanced Sermon current plugin version

$asp_plugin_data = get_file_data(__FILE__, array('Version' => 'Version'), false);
$asp_plugin_version = $asp_plugin_data['Version'];
global $asp_plugin_version;


// Adds settings link to plugin list

function asp_plugin_add_settings_link( $links ) {
    $settings_link = '<a href="edit.php?post_type=sermons&page=asp-settings">' . __( 'Settings', 'advanced-sermons' ) . '</a>';
    array_push( $links, $settings_link );
  	return $links;
}
$plugin = plugin_basename( __FILE__ );
add_filter( "plugin_action_links_$plugin", 'asp_plugin_add_settings_link' );


// Flush permalinks when plugin is activated

function asp_flush_rewrites() {
    // Hook into create proposal custom post type
    asp_register_cpts_sermons();
    flush_rewrite_rules();
}
register_activation_hook( __FILE__, 'asp_flush_rewrites' );
