<?php


// Include function files

require( plugin_dir_path( __FILE__ ) . '/taxonomy/taxonomy-functions.php');
require( plugin_dir_path( __FILE__ ) . '/templates/template-functions.php');


// Create sermon custom post type

function asp_register_cpts_sermons() {


	// Change sermon slug. Requires pro version install and activation

	$asp_archive_slug = get_option( 'asp_general_archive_slug' );
	if (!empty($asp_archive_slug)) {
			$asp_archive_slug = $asp_archive_slug;
			$asp_archive_slug = strtolower("$asp_archive_slug");
	} else {
			$asp_archive_slug = 'sermons';
	}


	$sermon_label = get_option( 'asp_general_sermon_label' );
	if (!empty($sermon_label)) {
			$sermon_label = $sermon_label;
			$sermon_label_slug = strtolower("$sermon_label");
	} else {
			$sermon_label = 'Sermon';
			$sermon_label_slug = strtolower("Sermon");
	}

	/**
	 * Post Type: Sermons.
	 */

	$sermon_search = get_option( 'asp_general_sermon_search' );
	if (!empty($sermon_search)) {

		$labels = array(
			"name" => __( "{$sermon_label}s", "advanced-sermons" ),
			"singular_name" => __( "$sermon_label", "advanced-sermons" ),
	    'menu_name' => __( "{$sermon_label}s", "advanced-sermons"),
			"not_found" => __( "No {$sermon_label}s Found", "advanced-sermons" ),
			"featured_image" => __( "$sermon_label Image", "advanced-sermons" ),
			"add_new" => __( "Add $sermon_label", "advanced-sermons" ),
	    "all_items" => __( "All {$sermon_label}s", "advanced-sermons" ),
	    'add_new_item' => __( "Add New $sermon_label", "advanced-sermons" ),
	    'new_item' => __( "New $sermon_label", "advanced-sermons" ),
	    'edit_item' => __( "Edit $sermon_label", "advanced-sermons" ),
	    'filter_items_list' => __( "Filter {$sermon_label}s", "advanced-sermons" ),
			"search_items" => __( "Search {$sermon_label}s", "advanced-sermons" ),
		);
		$args = array(
			"label" => __( "Sermons", "advanced-sermons" ),
			"labels" => $labels,
			"public" => true,
			"publicly_queryable" => true,
			"show_ui" => true,
			"show_in_rest" => false,
			"has_archive" => true,
			"show_in_menu" => true,
			"show_in_nav_menus" => true,
			"exclude_from_search" => 	false,
			"capability_type" => "post",
			"map_meta_cap" => true,
			"hierarchical" => true,
			"rewrite" => array( "slug" => "$asp_archive_slug" ),
			"query_var" => true,
			"menu_position" => 3,
	    "menu_icon" => 'dashicons-book',
			"supports" => array( "title", "editor", "thumbnail", "excerpt", "comments" ),
	);
} else {

		$labels = array(
			"name" => __( "{$sermon_label}s", "advanced-sermons" ),
			"singular_name" => __( "$sermon_label", "advanced-sermons" ),
	    'menu_name' => __( "{$sermon_label}s", "advanced-sermons"),
			"not_found" => __( "No {$sermon_label}s Found", "advanced-sermons" ),
			"featured_image" => __( "$sermon_label Image", "advanced-sermons" ),
			"add_new" => __( "Add $sermon_label", "advanced-sermons" ),
	    "all_items" => __( "All {$sermon_label}s", "advanced-sermons" ),
	    'add_new_item' => __( "Add New $sermon_label", "advanced-sermons" ),
	    'new_item' => __( "New $sermon_label", "advanced-sermons" ),
	    'edit_item' => __( "Edit $sermon_label", "advanced-sermons" ),
	    'filter_items_list' => __( "Filter {$sermon_label}s", "advanced-sermons" ),
			"search_items" => __( "Search {$sermon_label}s", "advanced-sermons" ),
		);
		$args = array(
			"label" => __( "Sermons", "advanced-sermons" ),
			"labels" => $labels,
			"public" => true,
			"publicly_queryable" => true,
			"show_ui" => true,
			"show_in_rest" => false,
			"has_archive" => true,
			"show_in_menu" => true,
			"show_in_nav_menus" => true,
			"exclude_from_search" => 	true,
			"capability_type" => "post",
			"map_meta_cap" => true,
			"hierarchical" => true,
			"rewrite" => array( "slug" => "$asp_archive_slug" ),
			"query_var" => true,
			"menu_position" => 3,
	    "menu_icon" => 'dashicons-book',
			"supports" => array( "title", "editor", "thumbnail", "excerpt", "comments"  ),
		);
}
	register_post_type( "sermons", $args );
}
add_action( 'init', 'asp_register_cpts_sermons' );


// Create sermon speaker taxonomy label

function asp_register_taxes_sermon_speaker() {

$speaker_label = get_option( 'asp_general_speaker_label' );
if (!empty($speaker_label)) {
		$speaker_label = $speaker_label;
		$speaker_label_slug = strtolower("$speaker_label");
} else {
		$speaker_label = 'Speaker';
		$speaker_label_slug = strtolower("Speaker");
}

	/**
	 * Taxonomy: Sermon Speakers.
	 */

	$labels = array(
		"name" => __( "{$speaker_label}s", "advanced-sermons" ),
		"singular_name" => __( "$speaker_label", "advanced-sermons" ),
		"menu_name" => __( "{$speaker_label}s", "advanced-sermons" ),
		"search_items" => __( "Search {$speaker_label}s", "advanced-sermons" ),
		"popular_items" => __( "Most popular {$speaker_label}s", "advanced-sermons" ),
		"all_items" => __( "All {$speaker_label}s", "advanced-sermons" ),
		"edit_item" => __( "Edit $speaker_label", "advanced-sermons" ),
		"update_item" => __( "Update $speaker_label", "advanced-sermons" ),
		"add_new" => __( "Add New $speaker_label", "advanced-sermons" ),
		"add_new_item" => __( "Add New $speaker_label", "advanced-sermons" ),
	);

	$args = array(
		"label" => __( "{$speaker_label}s", "advanced-sermons" ),
		"labels" => $labels,
		"public" => true,
		"hierarchical" => true,
		"label" => "$speaker_label",
		"show_ui" => true,
		"show_in_menu" => true,
		"show_in_nav_menus" => true,
		"query_var" => true,
		"has_archive" => true,
		"rewrite" => array( "slug" => "$speaker_label_slug", "with_front" => true ),
		"show_admin_column" => true,
		"show_in_rest" => false,
		"show_in_quick_edit" => true,
	);
	register_taxonomy( "sermon_speaker", array( "sermons" ), $args );
}
add_action( 'init', 'asp_register_taxes_sermon_speaker' );


// Create sermon topic taxonomy

function asp_register_taxes_topics() {

$topic_label = get_option( 'asp_general_topic_label' );
if (!empty($topic_label)) {
		$topic_label = $topic_label;
		$topic_label_slug = strtolower("$topic_label");
} else {
		$topic_label = 'Topic';
		$topic_label_slug = strtolower("Topic");
}

$sermon_label = get_option( 'asp_general_sermon_label' );
if (!empty($sermon_label)) {
		$sermon_label = $sermon_label;
		$sermon_label_slug = strtolower("$sermon_label");
} else {
		$sermon_label = 'Sermon';
		$sermon_label_slug = strtolower("Sermon");
}

	/**
	 * Taxonomy: Sermon Topics.
	 */

	$labels = array(
		"name" => __( "{$topic_label}", "advanced-sermons" ),
		"singular_name" => __( "$topic_label", "advanced-sermons" ),
		"menu_name" => __( "{$topic_label}s", "advanced-sermons" ),
		"search_items" => __( "Search {$topic_label}s", "advanced-sermons" ),
		"popular_items" => __( "Most popular {$topic_label}s", "advanced-sermons" ),
		"all_items" => __( "All {$topic_label}s", "advanced-sermons" ),
		"edit_item" => __( "Edit $topic_label", "advanced-sermons" ),
		"update_item" => __( "Update $topic_label", "advanced-sermons" ),
		"add_new" => __( "Add New $topic_label", "advanced-sermons" ),
		"add_new_item" => __( "Add New $topic_label", "advanced-sermons" ),
		"separate_items_with_commas" => __( "Add a topic to this $sermon_label_slug", "advanced-sermons" ),
	);

	$args = array(
		"label" => __( "{$topic_label}s", "advanced-sermons" ),
		"labels" => $labels,
		"public" => true,
		"hierarchical" => false,
		"label" => "$topic_label",
		"show_ui" => true,
		"show_in_menu" => true,
		"show_in_nav_menus" => true,
		"query_var" => true,
		"rewrite" => array( "slug" => "$topic_label_slug", "with_front" => true ),
		"show_admin_column" => true,
		"show_in_rest" => false,
		"show_in_quick_edit" => true,
	);
	register_taxonomy( "sermon_topics", array( "sermons" ), $args );
}
add_action( 'init', 'asp_register_taxes_topics' );


// Create sermon speaker taxonomy

function asp_register_taxes_series() {

	/**
	 * Taxonomy: Sermon Series.
	 */

	$labels = array(
		"name" => __( "Series", "advanced-sermons" ),
		"singular_name" => __( "Series", "advanced-sermons" ),
		"menu_name" => __( "Series", "advanced-sermons" ),
		"search_items" => __( "Search Series", "advanced-sermons" ),
		"popular_items" => __( "Most popular series", "advanced-sermons" ),
		"all_items" => __( "All Series", "advanced-sermons" ),
		"edit_item" => __( "Edit Series", "advanced-sermons" ),
		"update_item" => __( "Update Series", "advanced-sermons" ),
		"add_new" => __( "Add New Series", "advanced-sermons" ),
		"add_new_item" => __( "Add New Series", "advanced-sermons" ),
	);

	$args = array(
		"label" => __( "Series", "advanced-sermons" ),
		"labels" => $labels,
		"public" => true,
		"hierarchical" => true,
		"label" => "Series",
		"show_ui" => true,
		"show_in_menu" => true,
		"show_in_nav_menus" => true,
		"query_var" => true,
		"has_archive" => true,
		"rewrite" => array( "slug" => 'series', 'with_front' => true ),
		"show_admin_column" => true,
		"show_in_rest" => false,
		"show_in_quick_edit" => true,
	);
	register_taxonomy( "sermon_series", array( "sermons" ), $args );
}
add_action( 'init', 'asp_register_taxes_series' );


// Set sermon title placeholder text

add_filter('enter_title_here', 'asp_sermon_title_place_holder' , 20 , 2 );
function asp_sermon_title_place_holder($title , $post){

    if( $post->post_type == 'sermons' ){
        $my_title = "Sermon title";
        return $my_title;
    }
    return $title;
}


// Filters how many sermons can be displayed on arhive page

function asp_sermons_per_page_archive( $query ) {
    $asp_sermon_count = get_option( 'asp_archive_sermon_count' );
    if (empty($asp_sermon_count)) {
			if ( !is_admin() && $query->is_main_query() && is_post_type_archive( 'sermons' ) ) {
					$query->set( "posts_per_page", "9" ); // default 9
			}
    } else {
			// Function is controlled by pro version
    }
}
add_action( 'pre_get_posts', 'asp_sermons_per_page_archive' );


// Adds Advanced Sermons custom css to Wordpress theme head

function asp_frontend_custom_css(){
$asp_frontend_custom_css = get_option('asp_design_custom_css');
    if (!empty($asp_frontend_custom_css)) { ?>
        <!-- Advanced Sermons Custom CSS -->
        <style type="text/css">
            <?php echo $asp_frontend_custom_css; ?>
        </style>
    <?php }
}
add_action('wp_head', 'asp_frontend_custom_css');
