<?php

/*
Template Name: Sermon Archive
*/

$speaker_label = get_option( 'asp_general_speaker_label' );
$asp_disallow_comments = get_option( 'asp_general_disable_comments' );
$asp_hide_filtering = get_option( 'asp_archive_hide_filtering' );
$asp_hide_criteria_box = get_option( 'asp_archive_hide_criteria_box' );
$asp_disable_title_image = get_option( 'asp_design_disable_sermon_title_image' );
$asp_date_format = get_option( 'asp_general_date_format' );
$speaker_label = get_option( 'asp_general_speaker_label' );
$topic_label = get_option( 'asp_general_topic_label' );
$asp_archive_slug = get_option( 'asp_general_archive_slug' );
if (!empty($asp_archive_slug)) {
		$asp_archive_slug = $asp_archive_slug;
		$asp_archive_slug = strtolower("$asp_archive_slug");
} else {
		$asp_archive_slug = 'sermons';
}
if (!empty($speaker_label)) {
		$speaker_label = $speaker_label;
		$speaker_label_slug = strtolower($speaker_label);
} else {
		$speaker_label = 'Speaker';
		$speaker_label_slug = strtolower("Speaker");
}
if (!empty($topic_label)) {
		$topic_label = $topic_label;
		$topic_label_slug = strtolower("$topic_label");
} else {
		$topic_label = 'Topic';
		$topic_label_slug = strtolower("Topic");
}
$sermon_label = get_option( 'asp_general_sermon_label' );
if (!empty($sermon_label)) {
		$sermon_label = $sermon_label;
		$sermon_label_slug = strtolower("$sermon_label");
} else {
		$sermon_label = 'Sermon';
		$sermon_label_slug = strtolower("Sermon");
}
global $post;

// Handles archive excerpt length
asp_sermon_excerpt_functions();
// Handles sermon view count
setSermonsViews(get_the_ID());


// Get filtered criteria values

if (!empty($_GET['sermon_speaker'])) {
$selected_speaker = $_GET['sermon_speaker'];
$selected_speaker_slug = get_term_by('slug', "$selected_speaker", 'sermon_speaker');
$selected_speaker_name = $selected_speaker_slug->name;
}
if (!empty($_GET['sermon_topics'])) {
$selected_topics = $_GET['sermon_topics'];
$selected_topics_slug = get_term_by('slug', "$selected_topics", 'sermon_topics');
$selected_topics_name = $selected_topics_slug->name;
}
if (!empty($_GET['sermon_series'])) {
$selected_series = $_GET['sermon_series'];
$selected_series_slug = get_term_by('slug', "$selected_series", 'sermon_series');
$selected_series_name = $selected_series_slug->name;
}



?>

<?php get_header(); ?>

<div class="sermon-wrapper">

    <!-- Archive Title Section -->

    <div class="sermon-title-holder">
        <div class="sermon-featured-image">
            <?php if ( is_post_type_archive( 'sermons' ) && !is_tax( 'sermon_speaker' ) && !is_tax( 'sermon_topics' ) &&  !is_tax( 'sermon_series' ) ) { ?>
            <div class="sermon-title"><h1><?php _e( "{$sermon_label}s", "advanced-sermons" ) ?></h1></div>
            <?php } ?>
            <?php if ( is_post_type_archive( 'sermons' ) && is_tax( 'sermon_speaker' ) ) { ?>
            <div class="sermon-title"><h1><?php _e( "$speaker_label", 'advanced-sermons' ); ?>: <?php if(!empty($selected_speaker)) { echo $selected_speaker_name; } ?></h1></div>
            <?php } ?>
            <?php if ( is_post_type_archive( 'sermons' ) && is_tax( 'sermon_topics' ) ) {
            $sermon_topic = wp_get_post_terms($post->ID, 'sermon_topics', array("fields" => "names")); ?>
            <div class="sermon-title"><h1><?php _e( "$topic_label", 'advanced-sermons' ); ?>: <?php if(!empty($sermon_topic[0])) { print_r($sermon_topic[0]); } ?></h1></div>
            <?php } ?>
            <?php if ( is_post_type_archive( 'sermons' ) && is_tax( 'sermon_series' ) ) {
            $sermon_series = wp_get_post_terms($post->ID, 'sermon_series', array("fields" => "names")); ?>
            <div class="sermon-title"><h1><?php _e( 'Series:', 'advanced-sermons' ) ?> <?php if(!empty($sermon_series[0])) { print_r($sermon_series[0]); } ?></h1></div>
            <?php } ?>
        </div>
    </div>

		<?php do_action( 'asp_hook_archive_top_holder' ); ?>

    <div class="sermon-container">
        <div class="sermon-container_inner">
            <div class="asp-archive-container">

						<?php do_action( 'asp_hook_archive_top_container' );

						// Handles pagination filter settings

						{
					    $args = array(
					    'post_type'         => 'sermons',
					    'posts_per_page'    => -1,
					    'paged'             => $paged,
					    'orderby'           => 'date',
					    'order'             => 'DESC'
						);
						$articles = new WP_Query($args );
						}

						?>

            <!-- Archive filter section -->

						<!-- Criteria box -->

            <?php if(empty($asp_hide_filtering) && empty($asp_hide_criteria_box)) { ?>
						<?php if(isset($selected_speaker_name) || isset($selected_topics_name) || isset($selected_series_name)) { ?>
						<div class="asp-criteria-box">
						<p class="asp-selected-title"><?php _e( 'Filtered by', 'advanced-sermons' ) ?>:</p>
						<?php if(isset($selected_speaker_name)) { echo "<p class='asp-selected-speaker'>$speaker_label: $selected_speaker_name</p>"; } ?>
						<?php if(isset($selected_topics_name)) { echo "<p class='asp-selected-topic'>$topic_label: $selected_topics_name</p>"; } ?>
						<?php if(isset($selected_series_name)) { echo "<p class='asp-selected-series'>Series: $selected_series_name</p>"; } ?>
						</div>
						<?php } ?>
            <?php } ?>

						<!-- Filter bar -->

            <div class="sermon-filter-holder <?php if(empty($asp_hide_filtering)) { echo 'show-filter-bar'; } ?>">
            <?php if (empty($asp_hide_filtering)) { asp_archive_filter_template(); } ?>
            </div>

            <!-- Archive filter error message -->

            <div class="sermon-filter-error">
            <?php if ($post->post_type == 'sermons') {
                  // Do nothing
            } else {
              echo '<p>No results for your criteria. Please select a different filter combination.</p>';
            } ?>
            </div>

            <!-- Archive Content Section -->

            <ul class="sermon-archive-holder">
            <?php if(have_posts()) : while(have_posts()) : the_post(); ?>

            <?php  $sermonspeaker = wp_get_post_terms($post->ID, 'sermon_speaker', array("fields" => "names")); ?>
            <?php  $sermon_series = wp_get_post_terms($post->ID, 'sermon_series', array("fields" => "names")); ?>
            <?php  $sermon_topic = wp_get_post_terms($post->ID, 'sermon_topics', array("fields" => "names")); ?>
            <?php  $sermon_speaker_slug = wp_get_post_terms($post->ID, 'sermon_speaker', array("fields" => "slugs")); ?>
            <?php  $sermon_series_slug = wp_get_post_terms($post->ID, 'sermon_series', array("fields" => "slugs")); ?>


                <!-- Archive single template -->

                <li class='sermon-archive-single'>

                    <a class="semon-thumbnail-link" itemprop="url" href="<?php the_permalink(); ?>" target="_self" title=""><div class='sermon-thumbnail'><?php the_post_thumbnail(); ?></div></a>
                    <div class='sermon-media'>
                        <div class='preached-date'><p><?php if(!empty($asp_date_format)) { echo the_time($asp_date_format);  } else { echo the_time('j F Y'); } ?></p></div>
                        <?php if (isset($sermon_series[0])) { ?><div class='sermon-series'><p><?php _e( 'Series', 'advanced-sermons' ) ?>: <a href='<?php echo get_home_url(); ?>/<?php echo $asp_archive_slug ?>/?sermon_series=<?php echo $sermon_series_slug[0]?>'><?php print_r($sermon_series[0]); ?></a></p></div><?php } ?>
                    </div>

                    <div class="sermon-title"><h2><a itemprop="url" href="<?php the_permalink(); ?>" target="_self" title="<?php the_title();  ?>"><?php the_title();  ?></a></h2></div>

                    <div class="sermon-archive-details">
                    <?php if (isset($sermonspeaker[0])) { ?><div class='sermon-speaker'><p><?php if(!empty($speaker_label)) { echo $speaker_label; } else { echo 'Speaker'; } ?>: <a href="<?php echo get_home_url(); ?>/<?php echo $asp_archive_slug ?>/?sermon_speaker=<?php echo $sermon_speaker_slug[0] ?>"><?php print_r($sermonspeaker[0]); ?></a>
                    <?php if (!empty($sermonspeaker[1])) { ?><a href="<?php echo get_home_url(); ?>/<?php echo $asp_archive_slug ?>/?sermon_speaker=<?php echo $sermon_speaker_slug[1] ?>">, <?php echo $sermonspeaker[1]; ?></a><?php } ?>
										<?php if (!empty($sermonspeaker[2])) { ?><a href="<?php echo get_home_url(); ?>/<?php echo $asp_archive_slug ?>/?sermon_speaker=<?php echo $sermon_speaker_slug[2] ?>">, <?php echo $sermonspeaker[2]; ?></a><?php } ?>
                    <?php if (!empty($sermonspeaker[3])) { ?><a href="<?php echo get_home_url(); ?>/<?php echo $asp_archive_slug ?>/?sermon_speaker=<?php echo $sermon_speaker_slug[3] ?>">, <?php echo $sermonspeaker[3]; ?></a><?php } ?>
                    <?php if (!empty($sermonspeaker[4])) { ?><a href="<?php echo get_home_url(); ?>/<?php echo $asp_archive_slug ?>/?sermon_speaker=<?php echo $sermon_speaker_slug[4] ?>">, <?php echo $sermonspeaker[4]; ?></a><?php } ?>
                    </p></div><?php } ?>
                    <?php if (isset($sermon_topic[0])) { ?><div class='sermon-topic'><p><?php if(!empty($topic_label)) { echo $topic_label; } else { echo 'Topic'; } ?>: <?php print_r($sermon_topic[0]); ?></p></div><?php } ?>
                    <?php do_action( 'asp_hook_sermon_archive_header_details' ); ?>
                    </div>

                    <?php do_action( 'asp_hook_sermon_archive_before_excerpt' ); ?>

                    <div class='sermon-master-content'><p><?php the_excerpt(); ?></p></div>

    								<?php do_action( 'asp_hook_sermon_archive_after_excerpt' ); ?>

                </li>

		            <?php endwhile; ?>
		            <?php wp_reset_postdata(); ?>
		            <?php endif; ?>
	          </ul>

						<!-- Sermon Pagination -->

						<div class="asp-sermon-pagination">
								<div class="prev"><?php echo get_previous_posts_link( 'Previous', $articles->max_num_pages ); ?></div>
								<div class="next"><?php echo get_next_posts_link( 'Next', $articles->max_num_pages ); ?></div>
						</div>

						<?php do_action( 'asp_hook_archive_bottom_container' ); ?>

            </div>
        </div>
    </div>

		<?php do_action( 'asp_hook_archive_bottom_holder' ); ?>

</div>

<!-- Archive get footer -->

<?php get_footer(); ?>
