<?php


/*
Template Name: Sermons Single Template
*/

global $sermon_featured_image;
$sermon_featured_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
$page_title = $wp_query->post->post_title;
$speaker_label = get_option( 'asp_general_speaker_label' );
$asp_all_sermons_button = get_option( 'asp_single_sermon_all_sermons_button' );
$asp_disallow_comments = get_option( 'asp_single_sermon_disable_comments' );
$asp_related_sermons = get_option( 'asp_single_sermon_related_sermons' );
$asp_disable_title_image = get_option( 'asp_design_disable_sermon_title_image' );
$asp_design_hide_featured_image = get_option( 'asp_design_hide_featured_image' );
$asp_disable_social_share = get_option( 'asp_single_sermon_disable_social_share' );
$sermon_series = wp_get_post_terms($post->ID, 'sermon_series', array("fields" => "names"));
$sermon_topic = wp_get_post_terms($post->ID, 'sermon_topics', array("fields" => "names"));
$asp_date_format = get_option( 'asp_general_date_format' );
$asp_archive_slug = get_option( 'asp_general_archive_slug' );
if (!empty($asp_archive_slug)) {
    $asp_archive_slug = $asp_archive_slug;
    $asp_archive_slug = strtolower("$asp_archive_slug");
} else {
    $asp_archive_slug = 'sermons';
}
$speaker_label = get_option( 'asp_general_speaker_label' );
$topic_label = get_option( 'asp_general_topic_label' );
if (!empty($speaker_label)) {
		$speaker_label = $speaker_label;
		$speaker_label_slug = strtolower($speaker_label);
} else {
		$speaker_label = 'Speaker';
		$speaker_label_slug = strtolower("Speaker");
}
if (!empty($topic_label)) {
		$topic_label = $topic_label;
		$topic_label_slug = strtolower("$topic_label");
} else {
		$topic_label = 'Topic';
		$topic_label_slug = strtolower("Topic");
}
$sermon_label = get_option( 'asp_general_sermon_label' );
if (!empty($sermon_label)) {
		$sermon_label = $sermon_label;
		$sermon_label_slug = strtolower("$sermon_label");
} else {
		$sermon_label = 'Sermon';
		$sermon_label_slug = strtolower("Sermon");
}
setSermonsViews(get_the_ID());

?>

<?php get_header(); ?>

<div class="sermon-wrapper">

    <div class="sermon-title-holder">
          <div class="sermon-featured-image" style="background-image: url('<?php if (empty($asp_design_hide_featured_image)) { echo $sermon_featured_image[0]; } ?>')!important;">
              <div class="sermon-title"><h1><?php _e( "$page_title", 'advanced-sermons' ); ?></h1></div>
          </div>
    </div>

<div class="sermon-container">
    <div class="sermon-container_inner">
        <div class="asp-column-inner">


            <!-- Begin Sermon Content Section -->

            <div class="asp-column1">
            <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

            <?php $asp_sermon_soundcloud = get_post_meta($post->ID, 'asp_sermon_soundcloud', true); ?>
            <?php $asp_sermon_mp4 = get_post_meta($post->ID, 'asp_sermon_mp4', true); ?>
            <?php $asp_sermon_pdf = get_post_meta($post->ID, 'asp_sermon_pdf', true); ?>
            <?php $sermonspeaker = wp_get_post_terms($post->ID, 'sermon_speaker', array("fields" => "names")); ?>
            <?php $sermon_speaker_slug = wp_get_post_terms($post->ID, 'sermon_speaker', array("fields" => "slugs")); ?>
            <?php $sermon_series_slug = wp_get_post_terms($post->ID, 'sermon_series', array("fields" => "slugs")); ?>
            <?php $asp_home_url = get_home_url(); ?>
            <?php $sermoncontent = get_the_content(); ?>

						<?php
						// Retrieving Sermon Speaker Image

						$terms = get_the_terms($post->ID, 'sermon_speaker');
						if (!empty($terms)) {
								foreach($terms as $term) {
										$image_id = get_term_meta($term->term_id, 'speaker-taxonomy-image-id', true);
								}
								$asp_speaker = wp_get_attachment_image ( $image_id, "medium" );
						}
						?>

                <!-- Sermon Header Section -->

                <div class='sermon-info'>

                <div class='sermon-header-details'>
                <div class='preached-date'><?php if(!empty($asp_date_format)) { echo the_time($asp_date_format);  } else { echo the_time('j F Y'); } ?></div>
                <?php if (isset($sermon_series[0])) { echo '<div class="sermon-series">Series: <a href="'.$asp_home_url.'/'.$asp_archive_slug.'/?sermon_series='.$sermon_series_slug[0].'">'.$sermon_series[0].'</a></div>'; } ?>
                <?php if (isset($sermon_topic[0])) { echo "<div class='sermon-topic'>$topic_label: $sermon_topic[0]</div>"; } ?>
                <?php if(empty($asp_all_sermons_button)) { ?><a class="asp-sermon-archive-button" href="<?php echo get_home_url(); ?>/<?php echo $asp_archive_slug ?>/" target="_self">All <?php echo $sermon_label ?>s »</a><?php } ?>
                <!-- Action hook to add custom content in single sermon header details -->
                <?php do_action( 'asp_hook_sermon_single_header_details' ); ?>
                </div>
                <div class="sermon-title"><h2><?php _e( "$page_title", 'advanced-sermons' ); ?></h2></div>

                </div>

                <!-- Sermon Video Section -->

                <?php asp_sermon_video_template(); ?>

                <!-- Sermon Details Section -->

                <?php if (isset($sermonspeaker[0]) || $asp_sermon_pdf !== '' && $asp_sermon_mp4 !== '' && $asp_sermon_soundcloud !== '') { ?>
                <div class='sermon-details'>

                <div class='sermon-speaker-holder'>
                <?php if (isset($sermonspeaker[0])) { ?><div class="details-sermon-speaker"><?php if (!empty($asp_speaker)) { ?><div class="speaker-image"><?php echo $asp_speaker ?></div><?php } ?><p><?php if($speaker_label !== '') { echo $speaker_label; } else { echo 'Speaker'; } ?>:
                <a href="<?php echo get_home_url(); ?>/<?php echo $asp_archive_slug ?>/?sermon_speaker=<?php echo $sermon_speaker_slug[0] ?>"><?php echo $sermonspeaker[0]; ?></a>
                <?php if (!empty($sermonspeaker[1])) { ?><a href="<?php echo get_home_url(); ?>/<?php echo $asp_archive_slug ?>/?sermon_speaker=<?php echo $sermon_speaker_slug[1] ?>">, <?php echo $sermonspeaker[1]; ?></a><?php } ?>
                <?php if (!empty($sermonspeaker[2])) { ?><a href="<?php echo get_home_url(); ?>/<?php echo $asp_archive_slug ?>/?sermon_speaker=<?php echo $sermon_speaker_slug[2] ?>">, <?php echo $sermonspeaker[2]; ?></a><?php } ?>
                <?php if (!empty($sermonspeaker[3])) { ?><a href="<?php echo get_home_url(); ?>/<?php echo $asp_archive_slug ?>/?sermon_speaker=<?php echo $sermon_speaker_slug[3] ?>">, <?php echo $sermonspeaker[3]; ?></a><?php } ?>
                <?php if (!empty($sermonspeaker[4])) { ?><a href="<?php echo get_home_url(); ?>/<?php echo $asp_archive_slug ?>/?sermon_speaker=<?php echo $sermon_speaker_slug[4] ?>">, <?php echo $sermonspeaker[4]; ?></a><?php } ?>
                </p></div><?php } ?>
                </div>

                <?php if (!empty($asp_sermon_pdf)) { ?><div class="sermon-pdf-file <?php if (empty($asp_speaker)) { ?>speaker-image-none<?php } ?>"><a href='<?php echo $asp_sermon_pdf; ?>' target='_blank'><i class="fa fa-file-pdf-o" aria-hidden="true"></i><span><?php _e( 'Download', 'advanced-sermons' ) ?></span></a></div><?php } ?>
                <?php if (!empty($asp_sermon_mp4)) { ?><div class="sermon-mp4-file <?php if (empty($asp_speaker)) { ?>speaker-image-none<?php } ?>"><a href='<?php echo $asp_sermon_mp4; ?>' target='_blank'><i class="fa fa-file-audio-o" aria-hidden="true"></i><span><?php _e( 'Listen', 'advanced-sermons' ) ?></span></a></div><?php } ?>
                <?php if (!empty($asp_sermon_soundcloud )) { ?><div class="sermon-soundcloud <?php if (empty($asp_speaker)) { ?>speaker-image-none<?php } ?>"><a href='<?php echo $asp_sermon_soundcloud; ?>' target='_blank'><i class="fa fa-soundcloud" aria-hidden="true"></i><span><?php _e( 'Soundcloud', 'advanced-sermons' ) ?></span></a></div><?php } ?>
                <?php if (!isset($sermonspeaker[0])) { echo "<div class='sermon-media-holder'></div>"; } ?>

                </div>
                <?php } ?>

                <!-- Sermon Audio Player -->

                <?php if (!empty($asp_sermon_mp4)) {
							 	$asp_mp3 = 'mp3'; $asp_mp4 = 'mp4';
								if (strpos($asp_sermon_mp4, $asp_mp3) == true || strpos($asp_sermon_mp4, $asp_mp4) == true )  { ?>
                <div class='sermon-audio-player-wrapper'>
                    <h4 class="sermon-audio-title"><?php _e( 'Listen to audio version', 'advanced-sermons' ) ?></h4>
                    <div class='sermon-audio-player'><?php echo do_shortcode( "[audio src='$asp_sermon_mp4']" ); ?></div>
                </div>
								<?php } } ?>

                <!-- Sermon Main Content -->

                <div class='sermon-main-content <?php if(!empty($sermoncontent)) { ?>sermon-has-content<?php } ?>'>

                    <?php do_action( 'asp_hook_sermon_single_before_content' ); ?>

                    <?php the_content(); ?>

                    <?php do_action( 'asp_hook_sermon_single_after_content' ); ?>

                </div>

                <!-- Sermon Social Share -->

                <?php do_action( 'asp_social_share' ); ?>


                <!-- Comments Section -->

                <?php if (!empty($asp_disallow_comments)) {  ?>
                <div class="sermon-comments"><?php comments_template('', true); ?></div>
                <?php } else { /* Dissallow Comments */ } ?>

								<!-- Related Sermons -->

								<?php do_action( 'asp_related_sermons' ); ?>

                <?php do_action( 'asp_hook_sermon_single_bottom' ); ?>

                <?php endwhile; endif; ?>

            </div>


            <!-- Sidebar Section -->

						<?php do_action( 'asp_sermon_sidebar' ); ?>


        </div>
    </div>
</div>
</div>

<!-- Get Footer -->

<?php get_footer(); ?>
