<?php


// Include sermon sidebar template

include( plugin_dir_path( __FILE__ ) . 'sections/archive-filter.php');
include( plugin_dir_path( __FILE__ ) . 'sections/sermon-video-template.php');


// Template for displaying a single sermons

add_filter( 'single_template', 'asp_sermons_single_template') ;
function asp_sermons_single_template($single_template) {
    global $post;
    if ($post->post_type == 'sermons')
          $single_template = dirname( __FILE__ ) . '/sermon-single.php';
    return $single_template;
}


// Template for displaying a sermon archive

add_filter( 'archive_template', 'asp_sermons_archive_template') ;
function asp_sermons_archive_template($single_template) {
    global $post;
    if (is_post_type_archive( 'sermons' ))
          $single_template = dirname( __FILE__ ) . '/archive-sermons.php';
    return $single_template;
}


// Sermon archive function linked on archive-sermons.php. Handles archive excerpt length

function asp_sermon_excerpt_functions() {
// Sermon archive read more function
function asp_sermon_excerpt_more( $more ) {
$asp_disable_read_more = get_option( 'asp_archive_read_more' );
global $post;
    if (empty($asp_disable_read_more)) {
        if( $post->post_type == 'sermons' ){
            return sprintf( '<a class="read-more" href="%1$s">%2$s</a>',
            get_permalink( get_the_ID() ),
            __( ' read more...', 'textdomain' )
        );
    }
    }
}
// Sermon archive excerpt length
add_filter( 'excerpt_more', 'asp_sermon_excerpt_more' );

function asp_sermon_excerpt_length( $length ) {
    $asp_expect_length = esc_attr( get_option('asp_archive_excerpt_length') ?: '15' );
    global $post;
    if( $post->post_type == 'sermons' ){
        return "$asp_expect_length";
    }
}
add_filter( 'excerpt_length', 'asp_sermon_excerpt_length', 999 );

}


// Dynamically populate custom taxonomy into filter select fields in sermon filter

function asp_filter_terms_dropdown_speaker($taxonomies, $args){
$speaker_label = get_option( 'asp_general_speaker_label' );
    if (!empty($speaker_label)) {
    		$speaker_label = $speaker_label;
    		$speaker_label_slug = strtolower($speaker_label);
    } else {
    		$speaker_label = 'Speaker';
    		$speaker_label_slug = strtolower("Speaker");
    }
        $myterms = get_terms($taxonomies, $args);
        $output ="<select name='sermon_speaker' class='asp-filter-speaker'>";
        $output .="<option value=''>All {$speaker_label}s</option>";
        foreach($myterms as $term){
                $root_url = get_bloginfo('url');
                $term_taxonomy=$term->taxonomy;
                $term_slug=$term->slug;
                $term_name =$term->name;
                $link = $term_slug;
                $output .="<option value='".$link."'>".$term_name."</option>";
        }
        $output .="</select>";
return $output;
}
function asp_filter_terms_dropdown_topic($taxonomies, $args){
$topic_label = get_option( 'asp_general_topic_label' );
    if (!empty($topic_label)) {
    		$topic_label = $topic_label;
    		$topic_label_slug = strtolower("$topic_label");
    } else {
    		$topic_label = 'Topic';
    		$topic_label_slug = strtolower("Topic");
    }
        $myterms = get_terms($taxonomies, $args);
        $output ="<select name='sermon_topics' class='asp-filter-topic'>";
        $output .="<option value=''>All {$topic_label}s</option>";
        foreach($myterms as $term){
                $root_url = get_bloginfo('url');
                $term_taxonomy=$term->taxonomy;
                $term_slug=$term->slug;
                $term_name =$term->name;
                $link = $term_slug;
                $output .="<option value='".$link."'>".$term_name."</option>";
        }
        $output .="</select>";
return $output;
}
function asp_filter_terms_dropdown_series($taxonomies, $args){
    $myterms = get_terms($taxonomies, $args);
    $output ="<select name='sermon_series' class='asp-filter-series'>";
    $output .="<option value=''>All Series</option>";
    foreach($myterms as $term){
            $root_url = get_bloginfo('url');
            $term_taxonomy=$term->taxonomy;
            $term_slug=$term->slug;
            $term_name =$term->name;
            $link = $term_slug;
            $output .="<option value='".$link."'>".$term_name."</option>";
    }
    $output .="</select>";
return $output;
}
